Skip to content

OLT Service Port Profile ​

10 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
addServicePortProfilePOSTCreate new service port profile
deleteServicePortProfilePOSTDelete an existing service port profile
addServicePortProfileDetailPOSTCreate new service port profile detail
deleteServicePortProfileDetailPOSTDelete an existing service port profile detail
editServicePortProfileDetailPOSTModify an existing service port profile detail
getServicePortProfileListDetailGETGet service port profile list detail
getServicePortProfilePageDetailGETGet service port profile page detail
editServicePortProfilePOSTModify an existing service port profile
getServicePortProfileListGETGet service port profile list
getServicePortProfilePageGETGet service port profile page

addServicePortProfile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/add

Create new service port profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ServicePortProfileModifyDTO

FieldTypeRequiredDescription
servicePortProfileIdstringyesService port template ID. The servicePortProfileId should be within the range of 1 to 512, E.g.,1. It can be obtained from "Get service port profile list" interface.
servicePortProfileNamestringnoName of the service port template. No user configuration is automatically generated by the device. The name should contain 1 to 32 characters, including upper and lower letters, numbers, and symbols (-@_😕.).
json
// omada_call_operation
{
  "operationId": "addServicePortProfile",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new service port profile
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

deleteServicePortProfile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/delete

Delete an existing service port profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ServicePortProfileDeleteDTO

FieldTypeRequiredDescription
keysarray<string>noService port profile Id. The service port profile ID should be within the range of 1 to 512 and it can be obtained from "Get service port profile list" interface. Up to 50 entries are allowed for the ids list.
json
// omada_call_operation
{
  "operationId": "deleteServicePortProfile",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete an existing service port profile
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

addServicePortProfileDetail ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/detail/add

Create new service port profile detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ServicePortProfileDetailDTO

FieldTypeRequiredDescription
servicePortIdstringyesService port profile ID. The servicePortProfileId should be within the range of 1 to 127.
servicePortProfileIdstringyesService template ID. The servicePortProfileId should be within the range of 1 to 127. It can be obtained from "Get service port profile list"
svlanintegeryesBound network VLAN ID after automatic flow creation. The svlan should be within the range of 1-4094.
gemIdintegeryesGem Port ID for automatic flow creation. The gemPort should be within the range of 1-1023.
userVlanintegeryesUser VLAN ID for automatic flow creation. The userVlan should be within the range of 0-4094.
userVlanPriorityintegeryesUser VLAN priority. The userVlanPriority should be within the range of -1 to 7, -1 indicating not configuring the item.
tagActionstringyesVLAN TAG operation after automatic flow creation
innerVlanintegeryesInner VLAN ID for automatic flow creation. This parameter is associated with tagAction. When tagAction is TRANSLATE_AND_ADD/ADD_DOUBLE, this parameter is valid. The innerVlan should be within the range of 0-4094, -1 indicating not configuring the item.
innerVlanPriorityintegeryesInner VLAN priority. This parameter is associated with tagAction. When tagAction is TRANSLATE_AND_ADD/ADD_DOUBLE, this parameter is valid. The innerVlanPriority should be within the range of -1 to 7, -1 indicating not configuring the item.
etherTypestringyesMessage type
inboundTrafficProfileIdintegeryesInbound traffic profile ID. The inboundTrafficProfileId should be within the range of 1-1023, -1 indicating not configuring the item.
outboundTrafficProfileIdintegeryesOutbound traffic profile ID. The outboundTrafficProfileId should be within the range of 1-1023, -1 indicating not configuring the item.
statisticPerformancestringyesWhether to enable traffic flow statistics
adminStatusstringyesWhether to enable traffic flow
descriptionstringnoService port description. Description should contain 1-32 characters, including uppercase and lowercase letters, numbers, and symbols(-@_😕.).
creationModestringyesThe creation mode
entriesNumberintegeryesService port amount. The entriesNumber should be within the range of 0 to 127.
inUsestringyesIndicate whether the profile has been used
json
// omada_call_operation
{
  "operationId": "addServicePortProfileDetail",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new service port profile detail
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

deleteServicePortProfileDetail ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/detail/delete

Delete an existing service port profile detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ServicePortProfileDetailDeleteDTO

FieldTypeRequiredDescription
servicePortIdarray<string>noService port ID List. It can be obtained from"Get service port profile detail list" interface. Up to 50 entries are allowed for the ids list.
servicePortProfileIdstringnoService port profile ID. The servicePortProfileId should be within the range of 1 to 127. It can be obtained from "Get service port profile detail".
json
// omada_call_operation
{
  "operationId": "deleteServicePortProfileDetail",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete an existing service port profile detail
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editServicePortProfileDetail ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/detail/edit

Modify an existing service port profile detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ServicePortProfileDetailDTO

FieldTypeRequiredDescription
servicePortIdstringyesService port profile ID. The servicePortProfileId should be within the range of 1 to 127.
servicePortProfileIdstringyesService template ID. The servicePortProfileId should be within the range of 1 to 127. It can be obtained from "Get service port profile list"
svlanintegeryesBound network VLAN ID after automatic flow creation. The svlan should be within the range of 1-4094.
gemIdintegeryesGem Port ID for automatic flow creation. The gemPort should be within the range of 1-1023.
userVlanintegeryesUser VLAN ID for automatic flow creation. The userVlan should be within the range of 0-4094.
userVlanPriorityintegeryesUser VLAN priority. The userVlanPriority should be within the range of -1 to 7, -1 indicating not configuring the item.
tagActionstringyesVLAN TAG operation after automatic flow creation
innerVlanintegeryesInner VLAN ID for automatic flow creation. This parameter is associated with tagAction. When tagAction is TRANSLATE_AND_ADD/ADD_DOUBLE, this parameter is valid. The innerVlan should be within the range of 0-4094, -1 indicating not configuring the item.
innerVlanPriorityintegeryesInner VLAN priority. This parameter is associated with tagAction. When tagAction is TRANSLATE_AND_ADD/ADD_DOUBLE, this parameter is valid. The innerVlanPriority should be within the range of -1 to 7, -1 indicating not configuring the item.
etherTypestringyesMessage type
inboundTrafficProfileIdintegeryesInbound traffic profile ID. The inboundTrafficProfileId should be within the range of 1-1023, -1 indicating not configuring the item.
outboundTrafficProfileIdintegeryesOutbound traffic profile ID. The outboundTrafficProfileId should be within the range of 1-1023, -1 indicating not configuring the item.
statisticPerformancestringyesWhether to enable traffic flow statistics
adminStatusstringyesWhether to enable traffic flow
descriptionstringnoService port description. Description should contain 1-32 characters, including uppercase and lowercase letters, numbers, and symbols(-@_😕.).
creationModestringyesThe creation mode
entriesNumberintegeryesService port amount. The entriesNumber should be within the range of 0 to 127.
inUsestringyesIndicate whether the profile has been used
json
// omada_call_operation
{
  "operationId": "editServicePortProfileDetail",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing service port profile detail
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getServicePortProfileListDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/detail/list

Get service port profile list detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryServicePortProfileDetailListQueryDTOnoObject: its fields (searchKey, sorts, searchFields) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getServicePortProfileListDetail",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get service port profile list detail
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getServicePortProfilePageDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/detail/page

Get service port profile page detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryServicePortProfileDetailPageQueryDTOnoObject: its fields (searchKey, sorts, size, number, searchFields, servicePortProfileId) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getServicePortProfilePageDetail",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get service port profile page detail
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editServicePortProfile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/edit

Modify an existing service port profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ServicePortProfileModifyDTO

FieldTypeRequiredDescription
servicePortProfileIdstringyesService port template ID. The servicePortProfileId should be within the range of 1 to 512, E.g.,1. It can be obtained from "Get service port profile list" interface.
servicePortProfileNamestringnoName of the service port template. No user configuration is automatically generated by the device. The name should contain 1 to 32 characters, including upper and lower letters, numbers, and symbols (-@_😕.).
json
// omada_call_operation
{
  "operationId": "editServicePortProfile",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing service port profile
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getServicePortProfileList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/list

Get service port profile list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getServicePortProfileList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get service port profile list
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getServicePortProfilePage ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/page

Get service port profile page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryServicePortProfilePageQueryDTOnoObject: its fields (searchKey, sorts, size, number, searchFields) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getServicePortProfilePage",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get service port profile page
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.